// ignore_for_file: invalid_annotation_target

import 'package:freezed_annotation/freezed_annotation.dart';
import '../error/error_model.dart';

part 'forgot_password_response_model.freezed.dart';
part 'forgot_password_response_model.g.dart';

@freezed
abstract class ForgotPasswordResponseModel with _$ForgotPasswordResponseModel {
  const factory ForgotPasswordResponseModel({
    required bool success,
    required String? message,
    required ForgotPasswordData? data,
    required ErrorModel? error,
    required Map<String, dynamic>? meta,
  }) = _ForgotPasswordResponseModel;

  factory ForgotPasswordResponseModel.fromJson(Map<String, Object?> json) =>
      _$ForgotPasswordResponseModelFromJson(json);
}

@freezed
abstract class ForgotPasswordData with _$ForgotPasswordData {
  const factory ForgotPasswordData({
    required String? message,
    required bool? success,
  }) = _ForgotPasswordData;

  factory ForgotPasswordData.fromJson(Map<String, Object?> json) =>
      _$ForgotPasswordDataFromJson(json);
}
